Bug 831957 - Running tito release --all fails with TypeError: argument of type 'NoneType' is not iterable
Running tito release --all fails with TypeError: argument of type 'NoneType' ...
Product: Fedora
Classification: Fedora
Component: tito (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devan Goodwin
Fedora Extras Quality Assurance
Depends On: 820528
  Show dependency treegraph
Reported: 2012-06-14 03:54 EDT by Jan Pazdziora
Modified: 2012-06-27 09:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 820528
Last Closed: 2012-06-27 09:42:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2012-06-14 03:54:34 EDT
+++ This bug was initially created as a clone of Bug #820528 +++

Description of problem:

Running tito release --all fails with TypeError: argument of type 'NoneType' is not iterable

Version-Release number of selected component (if applicable):

# rpm -q tito

How reproducible:


Steps to Reproduce:
1. Run tito release --all.
Actual results:

Releasing to target: git
Traceback (most recent call last):
  File "/usr/bin/tito", line 23, in <module>
  File "/usr/lib/python2.7/site-packages/tito/cli.py", line 94, in main
    return module.main(argv)
  File "/usr/lib/python2.7/site-packages/tito/cli.py", line 617, in main
  File "/usr/lib/python2.7/site-packages/tito/release.py", line 349, in __init__
    global_config, user_config, target, releaser_config, no_cleanup)
  File "/usr/lib/python2.7/site-packages/tito/release.py", line 59, in __init__
    build_dir, global_config, user_config, self.builder_args)
  File "/usr/lib/python2.7/site-packages/tito/common.py", line 131, in create_builder
  File "/usr/lib/python2.7/site-packages/tito/distributionbuilder.py", line 18, in __init__
    global_config, user_config, options)
  File "/usr/lib/python2.7/site-packages/tito/builder.py", line 640, in __init__
    args=args, **kwargs)
  File "/usr/lib/python2.7/site-packages/tito/builder.py", line 465, in __init__
    args=args, **kwargs)
  File "/usr/lib/python2.7/site-packages/tito/builder.py", line 87, in __init__
    if 'test' in args:
TypeError: argument of type 'NoneType' is not iterable

Expected results:

No error, jobs submitted to dist-git.

Additional info:

--- Additional comment from dgoodwin@rm-rf.ca on 2012-05-10 14:31:36 CEST ---

Should be fixed in 0.4.8, available in testing or the devel repo. Just submitted for stable to Fedora / EPEL after seeing this.

--- Additional comment from jpazdziora@redhat.com on 2012-05-10 15:52:33 CEST ---

Thank you, I confirm that upgrading with

# yum --enablerepo=updates-testing upgrade tito



fixed the problem.
Comment 1 Jan Pazdziora 2012-06-14 03:56:38 EDT
The problem is still present on Fedora 17 -- the current version there is tito-0.4.6-1.fc17.noarch. People shouldn't really need to use the testing repo one month after the fix seems to be ready in koji.
Comment 2 Devan Goodwin 2012-06-27 09:42:57 EDT
Fedora 17 builds went in on April 12 but this was somehow not included in the eventual release.

0.4.8 submitted for stable this morning.

Note You need to log in before you can comment on or make changes to this bug.